#!/bin/sh

##
## download
##
getsource()
{
    FILE=`echo $1 | sed -e 's@^.*/@@'`
    if [ ! -s $FILE ] ; then
        wget --timeout=20 --tries=2 $1
    fi
}
SOURCEURL='
http://www.digital-genes.com/~yatsu/prime/RedHat7/ruby-sary-0.0-0.20030513.i386.rpm
http://www.digital-genes.com/~yatsu/prime/RedHat7/sary-1.1.0-0.20030513.1.i386.rpm
http://www.digital-genes.com/~yatsu/prime/RedHat7/sary-devel-1.1.0-0.20030513.1.i386.rpm
'
mkdir -p ~/rpmdir/{BUILD,RPMS,SPECS,SOURCES,SRPMS}
cd ~/rpmdir/RPMS/i386
for F in $SOURCEURL; do getsource $F; done

SOURCEURL='
http://prime.sourceforge.jp/src/prime-0.6.5.tar.gz
http://prime.sourceforge.jp/src/prime-dict-0.6.0.tar.gz
http://prime.sourceforge.jp/src/prime-el-1.2.1.tar.gz
http://taiyaki.org/elisp/mell/src/mell-1.0.0.tar.gz
http://taiyaki.org/suikyo/src/suikyo-1.2.0.tar.gz
'
cd ~/rpmdir/SOURCES
for F in $SOURCEURL; do getsource $F; done



##
## prepare to build RPM
##
if [ -s ~/.rpmmacros ]; then
    cp -p ~/.rpmmacros ~/.rpmmacros-`date +%Y-%m%M-%T`
fi
echo %_topdir ~/rpmdir > ~/.rpmmacros


##
## ޤ sary Ϣ򥤥󥹥ȡ뤷Ƥ
##
## Ȥ 
## rpmbuild -ba rpmdir/SPECS/xxx.spec
## sudo rpm -Uvh rpmdir/RPMS/xxx/xxx.rpm
## 򷫤֤ޤ
##
