Summary: MELL - An Emacs Lisp Library used by Komatsu
Name: mell
Version: 1.0.0
Release: 1ih
License: GPL
Group: Applications/Text
URL: http://taiyaki.org/elisp/mell/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: emacs
Obsoletes: elisp-mell, kakasi-emacs, mell-emacs
BuildArch: noarch

%description
MELL - An Emacs Lisp Library used by Komatsu

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc /usr/share/doc/mell/index.html
/usr/share/emacs/site-lisp/init-mell.el
/usr/share/emacs/site-lisp/mell/mell.el
/usr/share/emacs/site-lisp/mell/mell-alist.el
/usr/share/emacs/site-lisp/mell/mell-event.el
/usr/share/emacs/site-lisp/mell/mell-extra.el
/usr/share/emacs/site-lisp/mell/mell-file.el
/usr/share/emacs/site-lisp/mell/mell-process.el
/usr/share/emacs/site-lisp/mell/mell-sign.el
/usr/share/emacs/site-lisp/mell/mell-split.el
/usr/share/emacs/site-lisp/mell/mell-string.el
%doc AUTHORS COPYING NEWS README ChangeLog

%changelog
* Thu Dec 25 2003 Itou Hiroki <itouh(a)itpmail.itp.ne.jp>
- Initial build.
