%define ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')

Summary: dictionary for PRIME
Name: prime-dict
Version: 0.6.0
Release: 1ih
License: GPL
Group: Applications/Text
URL: http://www.taiyaki.org/prime/
Source0: http://prime.sourceforge.jp/src/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: prime, ruby
BuildRequires: sary
BuildArch: noarch

%description
dictionary for PRIME

%prep
%setup -q

%build
%configure --with-rubydir=%{ruby_libdir}
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/usr/share/prime/dict/prime-dict
/usr/share/prime/dict/prime-dict.ary
/usr/share/prime/dict/prime-dict-part
/usr/share/prime/dict/prime-dict-part.ary
%{_libdir}/ruby
%doc AUTHORS COPYING NEWS README ChangeLog

%changelog
* Thu Dec 25 2003 Itou Hiroki <itouh(a)itpmail.itp.ne.jp>
- Initial build.
