%define ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')

Summary: suikyo - converting library between roma-ji and hiragana
Name: suikyo
Version: 1.2.0
Release: 1ih
License: GPL
Group: Applications/Text
URL: http://taiyaki.org/suikyo/
Source0: http://taiyaki.org/suikyo/src/%{name}-%{version}.tar.gz
# Patch0: suikyo-conv.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: ruby
Obsoletes: suikyo-emacs, suikyo-ruby, suikyo-xemacs
BuildArch: noarch

%description
suikyo - converting library between roma-ji and hiragana

%prep
%setup -q
# %patch0 -p1

%build
%configure --with-rubydir=%{ruby_libdir}
make


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/usr/share/suikyo/conv-table/romaji-kana
/usr/share/suikyo/conv-table/kana-romaji
/usr/share/suikyo/conv-table/hiragana-katakana
/usr/share/suikyo/conv-table/katakana-hiragana
%doc /usr/share/doc/suikyo/index.html
%doc /usr/share/doc/suikyo/elisp/index.html
%doc /usr/share/doc/suikyo/ruby/index.html
/usr/share/emacs/site-lisp/suikyo/suikyo.el
/usr/share/emacs/site-lisp/suikyo/suikyo-config.el
/usr/share/emacs/site-lisp/init-suikyo.el
%{_libdir}/ruby
%doc AUTHORS COPYING NEWS README ChangeLog

%changelog
* Thu Dec 25 2003 Itou Hiroki <itouh(a)itpmail.itp.ne.jp>
- Initial build.
